/*
*  lc - count the lines and characters in a file
*
*
* Program description:
*
*	A command line has the form:
*		lc [file1] [file2] ...
*	If more than one file is named, then totals are printed.  If no files
*	are named, then standard input is read.
*/

#include <stdio.h>

main(argc, argv)
int argc;
char *argv[];
{
	FILE *fopen(), *fp;
	long nchars, nlines, tchars, tlines;
	int c, i;

	tlines = tchars = 0;	/* initialize totals */
	/* for each specified file */
	for (i = 1; i == 1 || i < argc; ++i) {
		if (argc == 1)
			fp = stdin;
		else if ((fp = fopen(argv[i], "r")) == NULL) {
			fprintf(stderr, "lc: cannot open %s\n", argv[i]);
			continue;
		}
		nlines = nchars = 0;	/* initialize counts for this file */
		while ((c = getc(fp)) != EOF) {
			++nchars;
			if (c == '\n')
				++nlines;
		}
		printf("%7ld%7ld", nlines, nchars);
		if (fp != stdin)
			printf(" %s", argv[i]);
		putchar('\n');
		tlines += nlines;
		tchars += nchars;
		if (fp != stdin)
			fclose(fp);
	}
	if (argc > 2)
		printf("%7ld%7ld total\n", tlines, tchars);
	exit(0);
}
